Subject: bug#73820: closed (Re: bug#73820: 31.0.50; [Feature Request]how to hide *Completions* buffer when icomplete-in-buffer is not nil)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Oct 2024 05:34:02 +0000

Your bug report

#73820: 31.0.50; [Feature Request]how to hide *Completions* buffer when icomplete-in-buffer is not nil 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73820: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73820
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73820: 31.0.50; [Feature Request]how to hide *Completions* buffer when icomplete-in-buffer is not nil
From: Eli Zaretskii <[email-masked]>
To: Sean Whitton <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 16 Oct 2024 08:33:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], "[email-masked]" <[email-masked]>
> From: Sean Whitton <[email-masked]>
> Date: Wed, 16 Oct 2024 09:23:52 +0800
> 
> On Tue 15 Oct 2024 at 07:43pm +03, Juri Linkov wrote:
> 
> >> I would like to use `icomplete-mode`/`icomplete-vertical-mode` with
> >>
> >>  (setq icomplete-in-buffer t)
> >>
> >>  but I don't want to display the `*Completions*` buffer.
> >>
> >>  How about adding a new value for `completion-auto-help` to achieve this?
> >
> > As suggested in https://debbugs.gnu.org/67661#114
> > this is currently achievable by
> >
> >   (advice-add 'completion-at-point :after #'minibuffer-hide-completions)
> >
> > But adding a new option is also an option.
> 
> Right.  This is also stated in NEWS.

If this is important enough, it should be in the doc string.  So I've
now added this tip to the doc string, and I'm therefore closing this
bug.

Thanks.

Subject: 31.0.50; [Feature Request]how to hide *Completions* buffer when icomplete-in-buffer is not nil
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Cc: jixiuf <[email-masked]>
Date: Tue, 15 Oct 2024 19:01:33 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I would like to use `icomplete-mode`/`icomplete-vertical-mode` with

 (setq icomplete-in-buffer t)
 
 but I don't want to display the `*Completions*` buffer.
 
 How about adding a new value for `completion-auto-help` to achieve this?